Our Solutions

Need professional assistance?
Consider our:

Support Offerings


Need to speed up your development?
Have a look at our:

Samples & Tools


Need some functionality extending standard OCCT capabilities?
Check out our:

Adv. Components

Unable to start Installer of OCC 5.2

Anonymous's picture

When I try to start the installer it won't start. I tested it on other machine with Debian sarge-testing and everything went well.
System where installer isn't working is using Kernel 2.6, may this be the problem?
Should all dependencies/system requirements be met before trying to install or can I install the files without mesa and other?

Installer doesnt complain anything, it just prints dots as if it was starting up but then it returns to shell.

Lars S. Jensen's picture

The install program is a java runtime -- from strace:
execve("/tmp/isj5f0Lag/Linux-Sun-1.3.1_06.bin" ...
and execve("/tmp/isj5f0Lag/bin/java", ["/tmp/isj5f0Lag/bin/java", "-cp", ":setup.jar:", "-Dtemp.dir=/tmp", "-Dis.jvm.home=/tmp/isj5f0Lag", "-Dis.jvm.temp=1", "-Dis.media.home="

It it can be caused by the NPTL threads?
And it won't work on none i86 linux!
Workaround is to run java instead: java -jar ./Linux/setup.jar
and use configure/make to compile it.
I can't compile via OCC.COMP bacause the Draw.COMP is the same as Draw.comp, so it will not compile the submodule TKDraw.comp

C R Johnson's picture

Both the setup executable and running using your advice failed for me on both my debian sarge machines ( 1 using 2.4 and 1 using 2.6 kernels)

Webmaster: Can we PLEASE have an ordinary .tar.gz file of the source available on the download page?



Stephane Routelous's picture

I installed it on Mandrake Linux 10.0
What I have seen is that you HAVE to have the Sun JRE. By default, with Mandrake comes Kaffe, and it doesn't work. So I had to uninstall Kaffe and take the Sun version.
And, you also need to have a graphical desktop environment (such as KDE) because the installer is now a wizard-like installer (InstallShield with Java)



Hunter's picture

Hi, Stephane:

I use MDK10.1 and I couldn't get DRAWEXE to work, It said

"./DRAWEXE: error while loading shared libraries: libTKDraw.so: cannot open shared object file: No such file or directory"

But I'm sure the file libTKDraw.so is in the directory of /OpenCascade/ros/lin/lib.

any suggestion would be appreciated~


bruno boyer's picture

I have the same problem today... If you have had the solution, i'm very interested... Thank you very much.

stef's picture

Maybe the environment variables are not set.
See http://www.opencascade.org/org/gettingstarted/install/envvar/. In the 7th line of the 'Unix platform' section it says: setenv PATH $CASROOT/../3rdparty/$OS_NAME/tcltk/bin:$CASROOT/$OS_NAME/bin
I don't know much about this stuff either, but it says this is a c-shell ('csh') script. I tried to run this script on the c shell, with
bash> csh
but it did'nt work.
So I set the variables in bash:
export PATH=$PATH':/opt/OpenCASCADE5.2/ros/bin' , and so on...
It still doesn't work, but for a different reason: now libtcl.so.0 can't be found. I guess I have to install the tcl library now.

Alejandro Val's picture

Here is a error in env.ksh. Fix the lines (sign = is missing):

and libTKDraw.so go away...Now I am working in libtcl.so.0 :-(

Alejandro Val's picture

I solve the problem with libtcl.so.0.
I have Fedora Core4 and this distributions does not have the library where opencascade expect. (I assume you have tcl installed). Then make the links:

ln -s /usr/lib/libtk8.4.so /usr/lib/libtk.so.0
ln -s /usr/lib/libtcl8.4.so /usr/lib/libtcl.so.0

Bill Jones's picture

Thanks for the advice, but I have a different problem that may be related.

Either way (running installer or `java -jar`) I get the OCC splash screen and the a window with a portion (half width, 1/4 height) filled with what appears to be the license agreement. The trouble is that since this window is not complete, I cannot read nor accept the agreement.

Any help would be appreciated. System is RH 8.0

Etienne LORRIAUX's picture

Erkka Westman : I'm using 2.6.9 kernel (gentoo distro) and it works fine. It can be a problem with your java machine or glibc version. I use blackdown for java and glibc- (i had problems with glibc 2.3.4).

Hunter : "No such file or directory" does not mean that you don't have these libraries on your hard disk, but that your system can't find them. So you have to correctly set up your environment variables (as mentionned in the installation guide)